downloadEvidence

POST /v1/risk/disputes/downloadEvidence

Use this API to download the dispute evidence provided by Antom.

Request parameters

disputeId String  REQUIRED

The unique ID received from the gateway/acquirer to identify a dispute.

More information:

  • Maximum length: 64 characters

disputeEvidenceFormat String  REQUIRED

The document format of the dispute evidence. Valid values are:

  • WORD: indicates that the format of the dispute evidence is Word.
  • PDF: indicates that the format of the dispute evidence is PDF.

More information:

  • Maximum length: 64 characters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

disputeEvidence String  REQUIRED

The dispute evidence that is encoded in the Based64 format. Decode the Base64 document to get the Word or PDF file.

More information:

  • Maximum length: 1000000 characters
API Explorer
Sample CodesRun in Sandbox

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess
PARAM_ILLEGALFThe required parameters are not passed, or illegal parameters exist. For example, a non-numeric input, an invalid date, or the length and type of the parameter are wrong.

Check and verify whether the required request fields (including the header fields and body fields) of the current API are correctly passed and valid.

SYSTEM_ERRORFA system error occurred.

Do not retry, and contact Antom Technical Support for more details.